UOVPrivateKeyParameters (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.pqc.crypto.uov

## Class UOVPrivateKeyParameters

- java.lang.Object
- - org.bouncycastle.crypto.params.AsymmetricKeyParameter
  - - org.bouncycastle.pqc.crypto.uov.UOVKeyParameters
    - - org.bouncycastle.pqc.crypto.uov.UOVPrivateKeyParameters

- All Implemented Interfaces:
    CipherParameters

      public class UOVPrivateKeyParameters
      extends UOVKeyParameters

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UOVPrivateKeyParameters(UOVParameters params, byte[] encoded)`
    `UOVPrivateKeyParameters(UOVParameters params, byte[] encoded, byte[] seed)` Construct from the full classic encoding (sk_seed || O || P1 || S).

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getEncoded()`
    `byte[]` | `getSeed()`

    - ### Methods inherited from class org.bouncycastle.pqc.crypto.uov.UOVKeyParameters

      `getParameters`

    - ### Methods inherited from class org.bouncycastle.crypto.params.AsymmetricKeyParameter

      `isPrivate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UOVPrivateKeyParameters

          public UOVPrivateKeyParameters(UOVParameters params,
                                         byte[] encoded)

    - #### UOVPrivateKeyParameters

          public UOVPrivateKeyParameters(UOVParameters params,
                                         byte[] encoded,
                                         byte[] seed)

      Construct from the full classic encoding (sk_seed || O || P1 || S).
      Parameters:
        `params` - the parameter set.
        `encoded` - the full secret-key encoding.
        `seed` - optional 32-byte seed when the caller has it separately; if non-null, must match the first 32 bytes of `encoded`.

  - ### Method Detail

    - #### getEncoded

          public byte[] getEncoded()

    - #### getSeed

          public byte[] getSeed()